Subject: Re: ps and psql from PostgreSQL not working with cygwin-1.1.5-2
From: Jason Tishler <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 2 Nov 2000 12:26:34 -0500

On Tue, Oct 31, 2000 at 11:48:31AM -0500, Christopher Faylor wrote:
> I can't duplicate the ps problem and I don't use psql.exe so, unless someone
> can debug this, or provide more details, this will be a problem that is in
> 1.1.5.

Either of the two attached patches will solve the 1.1.5 psql.exe problem.
I think that the first one is more correct and the second one safer (i.e.,
less likely to break other code).

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com
Index: errno.h
===================================================================
RCS file: /cvs/src/src/newlib/libc/include/sys/errno.h,v
retrieving revision 1.4
diff -u -r1.4 errno.h
--- errno.h	2000/08/01 20:51:51	1.4
+++ errno.h	2000/11/02 17:16:15
@@ -140,7 +140,7 @@
 #define ENOSHARE 136    /* No such host or network path */
 
 /* From cygwin32.  */
-#define EWOULDBLOCK EAGAIN	/* Operation would block */
+#define EWOULDBLOCK EINPROGRESS	/* Operation would block */
 
 #define __ELASTERROR 2000	/* Users can add values starting here */
 
Index: net.cc
===================================================================
RCS file: /cvs/src/src/winsup/cygwin/net.cc,v
retrieving revision 1.30
diff -u -r1.30 net.cc
--- net.cc	2000/10/28 05:41:43	1.30
+++ net.cc	2000/11/02 17:15:53
@@ -189,7 +189,7 @@
 
 static struct tl errmap[] =
 {
- {WSAEWOULDBLOCK, "WSAEWOULDBLOCK", EWOULDBLOCK},
+ {WSAEWOULDBLOCK, "WSAEWOULDBLOCK", EINPROGRESS},
  {WSAEINPROGRESS, "WSAEINPROGRESS", EINPROGRESS},
  {WSAEALREADY, "WSAEALREADY", EALREADY},
  {WSAENOTSOCK, "WSAENOTSOCK", ENOTSOCK},

--
Want to unsubscribe from this list?
Send a message to [email-masked]